# Scanbare Code Erkennung

Erkennung von scanbaren Codes (z.B. nach GS1-, HIBC- und anderen Standards

## GET /wms/scannable-code-recognition/process-input/{inputData}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Scanbare-Code-Erkennung","description":"Erkennung von scanbaren Codes (z.B. nach GS1-, HIBC- und anderen Standards"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/scannable-code-recognition/process-input/{inputData}":{"get":{"tags":["Scanbare-Code-Erkennung"],"operationId":"processInput_4","parameters":[{"name":"inputData","in":"path","description":"Benutzereingabe/Scan","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ScannableCodeRecognitionResult"}}}}}}}},"components":{"schemas":{"erp-wms-ScannableCodeRecognitionResult":{"properties":{"articleId":{"type":"integer","format":"int64","description":"ID vom erkannten Artikel (falls einer erkannt wurde)","readOnly":true},"articleNumber":{"type":"string","description":"Nummer vom erkannten Artikel (falls einer erkannt wurde)","readOnly":true},"storageBinId":{"type":"integer","format":"int64","description":"ID vom erkannten Lagerplatz (falls einer erkannt wurde)","readOnly":true},"storageBinDisplayName":{"type":"string","description":"Anzeigename vom erkannten Lagerplatz (falls einer erkannt wurde)","readOnly":true},"codeType":{"type":"string","description":"Arten von scanbare Codes","enum":["COMMON","GS1","HIBC"],"readOnly":true},"scannableCodeParts":{"type":"array","description":"Liste der Teile des Codes","items":{"$ref":"#/components/schemas/erp-wms-ScannableCodePart"},"readOnly":true}}},"erp-wms-ScannableCodePart":{"description":"Liste der Teile des Codes","properties":{"ai":{"type":"string","description":"AI (Application Identifier)","readOnly":true},"value":{"type":"string","description":"Wert","readOnly":true},"label":{"type":"string","description":"Label","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true}},"readOnly":true}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/scanbare-code-erkennung.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
